Package Details: bups 0.8.1-2

Git Clone URL: https://aur.archlinux.org/bups.git (read-only, click to copy)
Package Base: bups
Description: Simple GUI for Bup, a very efficient backup system.
Upstream URL: https://github.com/emersion/bups
Keywords: backup bup git
Licenses: MIT
Submitter: GutenYe
Maintainer: None
Last Packager: emersion
Votes: 19
Popularity: 0.000000
First Submitted: 2015-02-27 15:38 (UTC)
Last Updated: 2017-05-16 17:04 (UTC)

Latest Comments

1 2 Next › Last »

sp1d3rmxn commented on 2022-10-27 13:56 (UTC) (edited on 2022-10-27 13:58 (UTC) by sp1d3rmxn)

Any ideas other than it obviously is not working with py2 and needs to be updated to py3?

Traceback (most recent call last):
    File "/usr/bin/bups", line 7, in <module>
      from bups import app
    File "/usr/lib/python2.7/site-packages/bups/__init__.py", line 1, in <module>
      from gtk import BupApp
    File "/usr/lib/python2.7/site-packages/bups/gtk.py", line 4, in <module>
      from gi.repository import Gtk, GObject, Pango, Gdk, Gio, GLib
    File "/usr/lib/python2.7/site-packages/gi/importer.py", line 146, in load_module
      dynamic_module = load_overrides(introspection_module)
    File "/usr/lib/python2.7/site-packages/gi/overrides/__init__.py", line 118, in load_overrides
      override_mod = importlib.import_module(override_package_name)
    File "/usr/lib/python2.7/importlib/__init__.py", line 37, in import_module
      __import__(name)
    File "/usr/lib/python2.7/site-packages/gi/overrides/Gtk.py", line 173, in <module>
      class Container(Gtk.Container, Widget):
    File "/usr/lib/python2.7/site-packages/gi/module.py", line 132, in __getattr__
      self.__name__, name))
  AttributeError: 'gi.repository.Gtk' object has no attribute 'Container'

emersion commented on 2017-05-16 17:04 (UTC) (edited on 2017-05-16 17:05 (UTC) by emersion)

@GalaxyLJGD: added python2-gobject as a dependency, thanks!

GalaxyLJGD commented on 2017-05-03 00:03 (UTC)

Please add "python2-gobject" as a dependency because without it the Bups fails to run and it doesn't open. Sorry for my bad English.

vith commented on 2016-01-03 18:55 (UTC)

Thanks, worked after I redownloaded the tarball.

emersion commented on 2016-01-03 18:05 (UTC)

@vith: fixed!

vith commented on 2016-01-02 18:42 (UTC)

Won't build: md5sums didn't get updated for the new release. Also consider switching to sha256sums.

emersion commented on 2015-04-19 13:36 (UTC)

@GutenYe: BTW, just pushed a new version (see https://github.com/emersion/aur-bups)

GutenYe commented on 2015-04-19 13:35 (UTC)

@emersion here you go :)

emersion commented on 2015-04-19 13:34 (UTC)

@GutenYe: I'm not against it, because I won't have to ask you to update the PKGBUILD each time I push a new version of bups ;-)

GutenYe commented on 2015-04-13 00:29 (UTC)

@emersion Updated, thanks. Apparently you're the author of bups, do you want to maintain this package? I can disown it if you want to.